[arch-commits] Commit in qt/trunk (PKGBUILD qt-png14.patch)

Jan de Groot jgc at archlinux.org
Sat Jan 16 22:27:15 UTC 2010


    Date: Saturday, January 16, 2010 @ 17:27:15
  Author: jgc
Revision: 63288

upgpkg: qt 4.5.3-4
    Rebuild for libjpeg8 and libpng14

Added:
  qt/trunk/qt-png14.patch
Modified:
  qt/trunk/PKGBUILD

----------------+
 PKGBUILD       |   10 +++++++---
 qt-png14.patch |   33 +++++++++++++++++++++++++++++++++
 2 files changed, 40 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-01-16 22:13:25 UTC (rev 63287)
+++ PKGBUILD	2010-01-16 22:27:15 UTC (rev 63288)
@@ -3,17 +3,17 @@
 
 pkgname=qt
 pkgver=4.5.3
-pkgrel=3
+pkgrel=4
 _kdeqtver=063bded33b417cdf92fd51366fc7fdb06dea00ba
 pkgdesc='A cross-platform application and UI framework'
 arch=('i686' 'x86_64')
 url='http://www.qtsoftware.com/'
 license=('GPL3' 'LGPL')
-depends=('libpng' 'mesa' 'fontconfig' 'libtiff>=3.8.2-5' 'libmng>=1.0.10-2' 'sqlite3' 'xdg-utils' 'hicolor-icon-theme'
+depends=('libpng>=1.4.0' 'mesa' 'fontconfig>=2.8.0' 'libtiff>=3.9.2-2' 'libmng>=1.0.10-2' 'sqlite3' 'xdg-utils' 'hicolor-icon-theme'
          'libxrandr' 'glib2' 'libxi' 'dbus' 'libxcursor' 'libxinerama' 'libxrender' 'gstreamer0.10-base-plugins'
          'ca-certificates')
 optdepends=('postgresql-libs' 'libmysqlclient' 'unixodbc')
-makedepends=('inputproto' 'postgresql-libs' 'mysql' 'unixodbc' 'cups' 'libxfixes' 'gtk2')
+makedepends=('inputproto' 'postgresql-libs' 'mysql' 'unixodbc' 'libxfixes' 'gtk2' 'cups')
 install=qt.install
 provides=("qt4=${pkgver}" 'phonon')
 replaces=('qt4' 'phonon')
@@ -22,11 +22,13 @@
 _pkgfqn="qt-x11-opensource-src-${pkgver}"
 source=("ftp://ftp.qtsoftware.com/qt/source/${_pkgfqn}.tar.gz"
         "ftp://ftp.archlinux.org/other/kde-qt/kde-qt-${_kdeqtver}.patch.gz"
+        qt-png14.patch
 	'gstreamer-logo.png'
         'assistant.desktop' 'designer.desktop' 'linguist.desktop' 'qtconfig.desktop'
         'qdoc3.patch' 'phonon.patch' 'ca-certificates.patch')
 md5sums=('3988cf9af68be2df8a8000ede231de9b'
          'a8b984c95ea658116a7b4f632ae93596'
+         '15faef8356cf5545d7e8300e5dd186f2'
          'f0c26f76acf8b6a3297cfb31f872b0b7'
          'a445c6917086d80f1cfc1e40cb6b0132'
          'd457f0a0ad68a3861c3cadefe3b42ded'
@@ -65,6 +67,8 @@
 	# use system ssl cert bundle
 	patch -p1 -i $srcdir/ca-certificates.patch || return 1
 
+  patch -p0 -i ${srcdir}/qt-png14.patch || return 1
+
 	sed -i "s|-O2|$CXXFLAGS|" mkspecs/common/g++.conf
 	sed -i "/^QMAKE_RPATH/s| -Wl,-rpath,||g" mkspecs/common/g++.conf
 

Added: qt-png14.patch
===================================================================
--- qt-png14.patch	                        (rev 0)
+++ qt-png14.patch	2010-01-16 22:27:15 UTC (rev 63288)
@@ -0,0 +1,33 @@
+--- src/gui/image/qpnghandler.cpp.orig	2010-01-16 20:58:18.000000000 +0100
++++ src/gui/image/qpnghandler.cpp	2010-01-16 21:00:10.000000000 +0100
+@@ -205,7 +205,7 @@
+                 image.setColor(i, qRgba(c,c,c,0xff));
+             }
+             if (png_get_valid(png_ptr, info_ptr, PNG_INFO_tRNS)) {
+-                const int g = info_ptr->trans_values.gray;
++                const int g = info_ptr->trans_color.gray;
+                 if (g < ncols) {
+                     image.setColor(g, 0);
+                 }
+@@ -234,7 +234,7 @@
+                     info_ptr->palette[i].red,
+                     info_ptr->palette[i].green,
+                     info_ptr->palette[i].blue,
+-                    info_ptr->trans[i]
++                    info_ptr->trans_alpha[i]
+                    )
+                );
+                 i++;
+@@ -454,9 +454,9 @@
+     png_get_valid(png_ptr, info_ptr, PNG_INFO_tRNS)
+         if (outImage->depth()==32 && png_get_valid(png_ptr, info_ptr, PNG_INFO_tRNS)) {
+             QRgb trans = 0xFF000000 | qRgb(
+-                (info_ptr->trans_values.red << 8 >> bit_depth)&0xff,
+-                (info_ptr->trans_values.green << 8 >> bit_depth)&0xff,
+-                (info_ptr->trans_values.blue << 8 >> bit_depth)&0xff);
++                (info_ptr->trans_color.red << 8 >> bit_depth)&0xff,
++                (info_ptr->trans_color.green << 8 >> bit_depth)&0xff,
++                (info_ptr->trans_color.blue << 8 >> bit_depth)&0xff);
+             for (uint y=0; y<height; y++) {
+                 for (uint x=0; x<info_ptr->width; x++) {
+                     if (((uint**)jt)[y][x] == trans) {




More information about the arch-commits mailing list